Bug 1603029 - required field blocks validation of a dialog after automation method called
Summary: required field blocks validation of a dialog after automation method called
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.4
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1601925
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 02:53 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
9 users (show)

Fixed In Version: 5.9.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1601925
Environment:
Last Closed: 2018-09-04 18:00:53 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
dialog used for testing (1.66 KB, text/x-vhdl)
2018-08-02 20:56 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:46 UTC

Comment 2 CFME Bot 2018-07-25 07:38:49 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/da692252225a73174b01883a84635be015a5cb35
commit da692252225a73174b01883a84635be015a5cb35
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Jul 18 16:12:49 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Jul 18 16:12:49 2018 -0400

    Merge pull request #426 from eclarizio/BZ1601925

    Ensure 'submit_workflow' is true when adding a service to a cart
    (cherry picked from commit 9d146dc4207a3482a60e74e01d227ca46236bf18)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1603029

 app/controllers/api/service_orders_controller.rb | 2 +-
 spec/requests/service_orders_spec.rb | 12 +
 2 files changed, 13 insertions(+), 1 deletion(-)

Comment 5 Shveta 2018-08-02 20:56:30 UTC
Created attachment 1472822 [details]
dialog used for testing

Verified in 5.9.4.1.20180726225200_f44ec83

Comment 7 errata-xmlrpc 2018-09-04 18:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.